//
//  DataDisplay.m
//  HP41
//
//  Created by greg on Wed Aug 13 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import "DataDisplay.h"

//static NSString *digitFontName = @"Helvetica";
//static NSString *digitFontName = @"Courier New";
static NSString *digitFontName = @"Monaco"; // Fast -- all the others are slow!
//static NSString *digitFontName = @"Andale Mono";
//static NSString *digitFontName = @"Geneva";

static int digitFontSize = 12;

@implementation DataDisplay

- (void) dealloc {
    [self->font release];
    [self->foregroundColor release];
    [self->backgroundColor release];
    [self->attributes release];
    [self->reverseAttributes release];
    [super dealloc];
}

- (void) awakeFromNib {
    NSMutableDictionary *dict;
    
    self->font = [[NSFont fontWithName: digitFontName size: digitFontSize] retain];
    self->digitSize = [self->font boundingRectForGlyph: '0'].size;
    
    self->foregroundColor = [[NSColor greenColor] retain];
    self->backgroundColor = [[NSColor blackColor] retain];
    
    self->attributes = dict = [[NSMutableDictionary dictionary] retain];
    [dict setObject: font forKey: NSFontAttributeName];
    [dict setObject: self->foregroundColor forKey: NSForegroundColorAttributeName];
    
    self->reverseAttributes = dict = [[NSMutableDictionary dictionary] retain];
    [dict setObject: font forKey: NSFontAttributeName];
    [dict setObject: self->backgroundColor forKey: NSForegroundColorAttributeName];
}

- (id) nextKeyView {
    return self->nextKeyView;
}

- (void) setNextKeyView: (id) view {
    self->nextKeyView = view;
}

@end
