//
//  RamChip.h
//  HP41
//
//  Created by greg on Thu Aug 14 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "DataTypes.h"

@interface RamChip : NSObject {
    Bits_16 registerMask; // Bit map of existing registers
    Digits_14 registers[0x10];
}

- (id) init;
- (id) initWithMask: (int) mask;
- (BOOL) readLocation: (int) reg into: (Digits_14) data;
- (BOOL) writeLocation: (int) reg from: (const Digits_14) data;

@end
