//
//  RomChip.h
//  HP41
//
//  Created by greg on Wed Aug 13 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "DataTypes.h"

@interface RomChip : NSObject {
    BOOL isWritable;
    unsigned short words[0x1000];
}

+ (id) fromFile: (NSString *) path;
+ (id) blankEprom;

- (id) initWritable: (BOOL) writable;
- (void) loadFromFile: (NSString *) path;
- (int) readLocation: (int) addr;
- (BOOL) writeLocation: (int) addr from: (int) data;

@end
