//
//   HP41Font.h
//

enum {
    numDisplaySegments = 17,
    numFontChars = 128,
};

typedef int DisplaySegmentMap;
typedef DisplaySegmentMap DisplayFont[numFontChars];
typedef NSBezierPath *DisplaySegmentPaths[numDisplaySegments];

void LoadFont(DisplayFont font, NSString *resourceName);
void LoadSegmentPaths(DisplaySegmentPaths paths, NSString *resourceName);
